# Class SelectStarterPhase

#### Hierarchy (view full)

- Phase
  - SelectStarterPhase

- Defined in src/phases.ts:533

#####
Index

### Constructors

constructor

### Properties

scene

### Methods

end
initBattle
start

## Constructors

### constructor

- new SelectStarterPhase(scene): SelectStarterPhase

- #### Parameters

  - scene: default

  #### Returns SelectStarterPhase

  Overrides Phase.constructor

  - Defined in src/phases.ts:535

## Properties

### `Protected` scene

scene: default

Inherited from Phase.scene

- Defined in src/phase.ts:4

## Methods

### end

- end(): void

- #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:17

### initBattle

- initBattle(starters): void

- #### Parameters

  - starters: Starter []

  #### Returns void

  - Defined in src/phases.ts:558

### start

- start(): void

- #### Returns void

  Overrides Phase.start

  - Defined in src/phases.ts:539